For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The EmployeePayrollRun object
          • GET/employee-payroll-runs
          • GET/employee-payroll-runs/{id}
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsEmployee payroll runs

/employee-payroll-runs/{id}

GET
/hris/v1/employee-payroll-runs/:id
GET
/api/hris/v1/employee-payroll-runs/:id
$curl -G https://api.merge.dev/api/hris/v1/employee-payroll-runs/id \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> --data-urlencode expand=employee,payroll_run
200Retrieved
1{
2 "id": "fb8c55b6-1cb8-4b4c-9fb6-17924231619d",
3 "remote_id": "19202938",
4 "created_at": "2021-09-15T00:00:00Z",
5 "modified_at": "2021-10-16T00:00:00Z",
6 "employee": "d2f972d0-2526-434b-9409-4c3b468e08f0",
7 "payroll_run": "35347df1-95e7-46e2-93cc-66f1191edca5",
8 "gross_pay": 1342.67,
9 "net_pay": 865.78,
10 "start_date": "2020-11-08T00:00:00Z",
11 "end_date": "2020-11-09T00:00:00Z",
12 "check_date": "2020-11-10T00:00:00Z",
13 "earnings": [
14 {
15 "employee_payroll_run": "35347df1-95e7-46e2-93cc-66f1191edca5",
16 "amount": 1002.34,
17 "type": "SALARY"
18 },
19 {
20 "employee_payroll_run": "35347df1-95e7-46e2-93cc-66f1191edca5",
21 "amount": 8342.34,
22 "type": "OVERTIME"
23 }
24 ],
25 "deductions": [
26 {
27 "employee_payroll_run": "35347df1-95e7-46e2-93cc-66f1191edca5",
28 "name": "Social Security",
29 "employee_deduction": 34.54,
30 "company_deduction": 78.78
31 }
32 ],
33 "taxes": [
34 {
35 "employee_payroll_run": "35347df1-95e7-46e2-93cc-66f1191edca5",
36 "name": "California State Income Tax",
37 "amount": 100.25,
38 "employer_tax": "False"
39 }
40 ],
41 "remote_was_deleted": true,
42 "field_mappings": {
43 "organization_defined_targets": {
44 "custom_key": "custom_value"
45 },
46 "linked_account_defined_targets": {
47 "custom_key": "custom_value"
48 }
49 },
50 "remote_data": [
51 {
52 "path": "/employee-payroll",
53 "data": null
54 }
55 ]
56}

Returns an EmployeePayrollRun object with the given id.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

/employee-payroll-runs

Next

The Employee object

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Path parameters

idstringRequiredformat: "uuid"

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

expandenumOptional
Which relations should be returned in expanded form. Multiple relation names should be comma separated without spaces.
Allowed values:
include_remote_databooleanOptional

Whether to include the original data Merge fetched from the third-party to produce these models.

include_shell_databooleanOptional

Whether to include shell records. Shell records are empty records (they may contain some metadata but all other fields are null).

Response

idstringRead-onlyformat: "uuid"
remote_idstring or null

The third-party API ID of the matching object.

created_atdatetimeRead-only
The datetime that this object was created by Merge.
modified_atdatetimeRead-only
The datetime that this object was modified by Merge.
employeestring or nullformat: "uuid"
The employee whose payroll is being run.
payroll_runstring or nullformat: "uuid"
The payroll being run.
gross_paydouble or null
The total earnings throughout a given period for an employee before any deductions are made.
net_paydouble or null

The take-home pay throughout a given period for an employee after deductions are made.

start_datedatetime or null
The day and time the payroll run started.
end_datedatetime or null
The day and time the payroll run ended.
check_datedatetime or null
The day and time the payroll run was checked.
earningslist of objectsRead-only
deductionslist of objectsRead-only
taxeslist of objectsRead-only
remote_was_deletedbooleanRead-only

Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. Learn more.

field_mappingsobject or nullRead-only
remote_datalist of objects or nullRead-only